// creator  : weidu.exe (version 23100)
// argument : _KOVERA.DLG
// game		 : .
// source	 : ./override/_KOVERA.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_KOVERA~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #78864 /* ~Ah, I thought I might find you somewhere around here. Allow me to introduce myself...~ */
  IF ~~ THEN REPLY #78865 /* ~Perhaps another time. There is some... research that I am currently working on which demands my attention.~ */ DO ~SetGlobal("TalkedToKoveras","GLOBAL",1)
~ GOTO 1
  IF ~~ THEN REPLY #78866 /* ~Please do...~ */ DO ~SetGlobal("TalkedToKoveras","GLOBAL",1)
~ GOTO 9
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #78867 /* ~Research... Well, indeed, that makes two of us and I think I might know what you're looking for. Will you let me be of some small assistance?~ */
  IF ~~ THEN REPLY #78868 /* ~Thank you but no. They are studies of a more private nature...~ */ DO ~SetGlobal("Criminal","GLOBAL",1)
~ GOTO 2
  IF ~~ THEN REPLY #78869 /* ~Tell me, what exactly is it that I am looking for?~ */ DO ~SetGlobal("Criminal","GLOBAL",1)
~ GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #78870 /* ~Mm... My apologies for the intrusion, then.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #78871 /* ~You are looking for the truth, as are we all... My name is Koveras. I used to work for your father, running messages to his Harper friends in Waterdeep. Before he passed on, he entrusted this ring to me and asked that I give it to you should evil ever befall him... Will you take it?~ */
  IF ~~ THEN REPLY #78872 /* ~Well, evil befell him, alright, but I want nothing of your baubles.~ */ GOTO 4
  IF ~~ THEN REPLY #78873 /* ~And what evil befell him, Koveras?~ */ GOTO 7
  IF ~~ THEN REPLY #78874 /* ~If it was my father's wish, then I shall wear it. Thank you for your kindness to him, Koveras.~ */ GOTO 6
END

IF ~~ THEN BEGIN 4 // from: _MINSCJ:70.0 9.0 3.0
  SAY #78875 /* ~Surely you are not blind to the Iron Throne presence in these halls! Don't be a fool... Your father knew this was no bauble, and if you have even an ounce of his wisdom, you would know the same! Now take it before I lose my patience with you!~ */
  IF ~~ THEN REPLY #78876 /* ~I have made up my mind and it will take more than your words to change it. Keep your ring, I want it not.~ */ GOTO 5
  IF ~~ THEN REPLY #78877 /* ~Forgive me, Koveras. There are so few people to trust and so, in my foolishness, I spurn them all, friend and foe alike. Give me my father's ring that I might relieve you of its burden.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #78878 /* ~Do not tempt me, wardling.  If you refuse to take the ring, then at least listen to some advice.  The people you deal with are very dangerous, and they guard themselves well.  Right now they are at their weakest.  If you strike at them now, while they least expect it, you might be able to end the threat that they pose to the Sword Coast.  You can take this advice or discard it, I do not care.  Goodbye, <CHARNAME>.~ */
  IF ~~ THEN DO ~SetGlobal("KillReiltar","GLOBAL",1)
EscapeArea()
~ UNSOLVED_JOURNAL #78879 /* ~Return to Candlekeep

Koveras has suggested that I kill the leaders of the Iron Throne while they're here at Candlekeep.  The thought of bringing violence to this place makes me queasy, but perhaps it's something that needs to be done.  I wish Gorion was here to guide me.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: _MINSCJ:70.2 9.2 7.0 4.1 3.2
  SAY #78880 /* ~Wear it with your father's pride about you, then.  Before you go, listen to me well.  The leaders of the Iron Throne are here in the keep even as we speak.  They are at their weakest and most unprotected... if you ever hope to kill them, now is the time.  Now go, the Iron Throne awaits you.~ */
  IF ~~ THEN DO ~SetGlobal("KillReiltar","GLOBAL",1)
GiveItem("RING25",LastTalkedToBy)
EscapeArea()
~ UNSOLVED_JOURNAL #78879 /* ~Return to Candlekeep

Koveras has suggested that I kill the leaders of the Iron Throne while they're here at Candlekeep.  The thought of bringing violence to this place makes me queasy, but perhaps it's something that needs to be done.  I wish Gorion was here to guide me.~ */ EXIT
  IF ~Global("X#EdwinKoveras","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#EdwinKoveras","GLOBAL",1)~ EXTERN ~_EDWINJ~ 91
END

IF ~~ THEN BEGIN 7 // from: _MINSCJ:70.1 9.1 3.1
  SAY #78881 /* ~You were there, you saw it all. A woman, an armored figure, two ogres wielding clubs. But Gorion's petty magic was of little use against them, was it not? And you, you fled with your tail between your legs, hiding amidst the trees until dawn broke. And now, it comes full circle, doesn't it. The Iron Throne so close that you can almost touch them and wreak your revenge for that night.~ */
  IF ~~ THEN REPLY #78882 /* ~You know me well, Koveras, and my father, too. Give me that ring and let me find my vengeance.~ */ GOTO 6
  IF ~~ THEN REPLY #78883 /* ~You're right, Koveras. I was there. Myself, my father, and four others who tried to kills us. Where were you, if you know so much?~ */ GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.1
  SAY #78884 /* ~If you be so void of trust, I am surprised you have made it this far. It is of little matter. Go seek your vengeance or your doom at the hand of the Iron Throne. I wash my hands of it.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#XanKoveras8","GLOBAL",0)
InParty("xan")
InMyArea("xan")
!StateCheck("xan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#XanKoveras8","GLOBAL",1)~ EXTERN ~_XANJ~ 121
END

IF ~~ THEN BEGIN 9 // from: 0.1
  SAY #78885 /* ~My name is Koveras. I used to work for your father, running messages to his Harper friends in Waterdeep. Before he passed on, he entrusted this ring to me and asked that I give it to you should evil ever befall him... Will you take it?~ */
  IF ~~ THEN REPLY #78872 /* ~Well, evil befell him, alright, but I want nothing of your baubles.~ */ DO ~SetGlobal("Criminal","GLOBAL",1)
~ GOTO 4
  IF ~~ THEN REPLY #78873 /* ~And what evil befell him, Koveras?~ */ DO ~SetGlobal("Criminal","GLOBAL",1)
~ GOTO 7
  IF ~~ THEN REPLY #78886 /* ~If it is my father's will, than I shall wear it. Thank you for your kindness to him, Koveras.~ */ DO ~SetGlobal("Criminal","GLOBAL",1)
~ GOTO 6
  IF ~Global("X#MinscKoveras","GLOBAL",0)
InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#MinscKoveras","GLOBAL",1)~ EXTERN ~_MINSCJ~ 70
END

IF ~~ THEN BEGIN 10 // from:
  SAY #7631 /* ~Do what you will. I care not.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from:
  SAY #100031 /* ~Do not squander the opportunity before you.~ */
  IF ~~ THEN DO ~SetGlobal("KillReiltar","GLOBAL",1)
GiveItem("RING25",LastTalkedToBy)
EscapeArea()
~ UNSOLVED_JOURNAL #78879 /* ~Return to Candlekeep

Koveras has suggested that I kill the leaders of the Iron Throne while they're here at Candlekeep.  The thought of bringing violence to this place makes me queasy, but perhaps it's something that needs to be done.  I wish Gorion was here to guide me.~ */ EXIT
END
